Bug 842134 - [Storage] cannot force extend block storage domains (no force extendVG support)
[Storage] cannot force extend block storage domains (no force extendVG support)
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
Unspecified Unspecified
unspecified Severity high
: ---
: 3.1.2
Assigned To: Daniel Erez
Leonid Natapov
: ZStream
Depends On:
  Show dependency treegraph
Reported: 2012-07-22 09:18 EDT by Leonid Natapov
Modified: 2016-02-10 12:11 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
RHEV 3.2 introduces the configuration value "SupportForceExtendVG". The "force" flag is passed to "extendStorageDomain" when "SupportForceExtendVG" has been set to "true". New extendStorageDomain method signatures have also been added to "IrsServer" files". "StorageListModel" passes "force" flag to ExtendSANStorageDomainParameters.
Story Points: ---
Clone Of:
Last Closed: 2013-02-04 18:33:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Leonid Natapov 2012-07-22 09:18:40 EDT
[Storage] The option, forces creation of StorageDomain if the LUN is in use should be removed when extending Storage Domain. When extending StorageDomain LUNs that are in use should be greyed out. Force option should be available only when creating SD and not when we extend it.
Comment 7 Allon Mureinik 2012-12-17 10:52:45 EST
Merged :
Change-Id: I3b9196333f680bfad8bb421ad0dad8843b9c8e2b
Change-Id: I492876d33913e8ddc88c30e5189e52bf58361fd1
Comment 9 Leonid Natapov 2013-01-17 09:50:10 EST
Comment 11 errata-xmlrpc 2013-02-04 18:33:51 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.